#!/bin/sh
# IBM Confidential OCO Source Materials
# 5724-I04 (C) COPYRIGHT International Business Machines Corp. 1998, 2004
# The source code for this program is not published or otherwise divested
# of its trade secrets, irrespective of what has been deposited with the
# U.S. Copyright Office.

set -x
[ -d WVS ] && rm -r WVS
mkdir WVS
WVSInstallDir="$1"
ls -lR "$WVSInstallDir" > WVS/filedir
find "$WVSInstallDir" > WVS/filefull
ls -laFR "$WVSInstallDir" > WVS/fileperm 

if [! -d "$WSV_ROOT/siv" ]
then
  exit
fi

WSVInstallDir=$WVS_ROOT/siv
ls -lR "$WSVInstallDir" > WVS/WSVfiledir
find "$WSVInstallDir" > WVS/WSVfilefull
ls -laFR "$WSVInstallDir" > WVS/WSVfileperm 
cp "$WSVInstallDir"/engine/ccsm/* WVS/.
cp "$WSVInstallDir"/engine/im/* WVS/.


