@rem IBM Confidential OCO Source Materials
@rem 5724-I04 (C) COPYRIGHT International Business Machines Corp. 1998, 2004
@rem The source code for this program is not published or otherwise divested
@rem of its trade secrets, irrespective of what has been deposited with the
@rem U.S. Copyright Office.

erase /f/q/s WVS\*.*
rmdir /q/s   WVS  
mkdir WVS

@rem - the collector program may pass each argument with or without quotes,
@rem - depending if it has spaces in it. 
@rem - we use %~1 which expands %1 and removes any surrounding quotation marks.

set WVSVarInstallDir=%~1

echo WVSVarInstallDir=%WVSVarInstallDir% > WVS/output.txt

dir  "%WVSVarInstallDir%" /s > WVS/varfiledir
dir  "%WVSVarInstallDir%" /s /b > WVS/varfileperm

@rem - the collector program may pass each argument with or without quotes,
@rem - depending if it has spaces in it. 
@rem - we use %WSV_ROOT% which expands to where Speaker Verification was installed.

if exist %WSV_ROOT% (
   set WSVVarInstallDir="%WSV_ROOT%"
   echo WSVVarInstallDir=%WSVVarInstallDir% > WVS/output.txt
   dir  %WSVVarInstallDir% /s > WVS/WSVvarfiledir
   dir  %WSVVarInstallDir% /s /b > WVS/WSVvarfileperm
   xcopy /y/e %WSVVarInstallDir%\engine\ccsm\*.* WVS\*.*
   xcopy /y/e %WSVVarInstallDir%\engine\im\*.* WVS\*.*
)


